Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Namespaces | Classes | Functions
OpenMesh::Kernel_OSG Namespace Reference

## Namespaces
| FP
| OpenSG Face Properties Adaptors.
| VP
| OpenSG Vertex Properties Adaptors.

## Classes
class | ArrayKernelT
class | AttribKernelT
| This class adds the standard properties to the mesh type. More...
class | oPropertyT
class | PropertyKernel
struct | Traits
struct | TriMesh_OSGArrayKernel_GeneratorT
| Helper class to create a TriMesh-type based on Kernel_OSG::ArrayKernelT. More...
class | TriMesh_OSGArrayKernelT

## Functions
bool | type_is_valid (unsigned char _t)
template<typename Mesh >
bool | bind (osg::GeometryPtr &_geo, Mesh &_mesh)
template<typename Mesh >
bool | bind (Mesh &_mesh, osg::GeometryPtr &_geo)

## Detailed Description

In this namespace resides the OpenSG integration of OpenMesh. Here you find the class OpenMesh::OSG_Kernel::TriMesh_OSGArrayKernelT<> and the template function OpenMesh::OSG_Kernel::bindT<> to link such a mesh with a OpenSG Geometry.

## Function Documentation

template<typename Mesh >

bool OpenMesh::Kernel_OSG::bind | ( | osg::GeometryPtr & | _geo,
|  | Mesh & | _mesh
| ) |  |
| inline

Bind a OpenSG geometry to a mesh.

Parameters

  _mesh | The mesh object to bind the geometry to.
  _geo | The geometry object to bind.

Returns
  true if the connection has been established else false.

Definition at line 106 of file bindT.hh.

template<typename Mesh >

bool OpenMesh::Kernel_OSG::bind | ( | Mesh & | _mesh,
|  | osg::GeometryPtr & | _geo
| ) |  |
| inline

Bind a mesh object to geometry. The binder is able to handle non-indexed and indexed geometry. Multi-indexed geometry is not supported.

Parameters

  _mesh | The mesh object to bind.
  _geo | The geometry object to bind to.

Returns
  true if the connection has been established else false.

Definition at line 120 of file bindT.hh.